/*
 * $Id: kl_statistics_mapping_1to1.h,v 1.3 2000/10/06 00:08:19 laik Exp $
 *
 * Copyright (C) 2000 Kevin Lai
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __STATISTICS_MAPPING_1TO1_H__
#define __STATISTICS_MAPPING_1TO1_H__

#include "kl_statistics_mapping.h"

typedef struct KLStatisticsMapping1to1Def {
    const int *permutation;
    unsigned int mapped_dim;
    unsigned int source_dim;
} KLStatisticsMapping1to1Def;


KLStatisticsMapping *
KLStatisticsMapping1to1New(KLStatisticsMapping1to1Def *def);

#ifdef TEST

void
KLStatisticsMapping1to1Test(void);

#endif

#endif
