/*
 * $Id: kl_network_protocol_ipv4_icmp.h,v 1.3 2000/10/06 00:08:19 laik Exp $
 *
 * This file contains interfaces and data structures for the flow module.
 *
 * Copyright (C) 1998 Kevin Lai
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __NETWORK_PROTOCOL_IPV4_ICMP_H__
#define __NETWORK_PROTOCOL_IPV4_ICMP_H__

#include <netinet/ip_icmp.h>
#include "kl_network_protocol.h"

KLNetworkProtocol *
KLNetworkProtocolIPv4ICMPNew(KLNetworkProtocol *ipv4);

typedef struct KLNetworkProtocolIPv4ICMPPacketDef {
    struct icmp icmp;
} KLNetworkProtocolIPv4ICMPPacketDef;

#endif
