/*
 * $Id: kl_string.h,v 1.3 2000/10/06 00:08:19 laik Exp $
 *
 * Dynamic KLArrays
 *
 * Copyright (C) 1993 Kevin Lai
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __KL_STRING_H__
#define __KL_STRING_H__

#include "kl_util.h"
#include "kl_list.h"

KLList *
KLStringSplitNew(const char *original_string, const char *delimiter);

void
KLStringSplitFree(KLList *string_list);

char *
KLStringJoin(KLList *string_list, const char *separator);

#endif
