/*
 * $Id: kl_version.h,v 1.2 2000/11/15 06:53:57 laik Exp $
 *
 * Copyright (C) 1993 Kevin Lai
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __KL_VERSION_H__
#define __KL_VERSION_H__

#include "kl_array.h"

typedef struct KLVersion {
    unsigned long major;
    unsigned long minor;
    unsigned long tertiary;
    const char *date;
    const char *time;
    const char *compiler;
} KLVersion;

const KLVersion *
KLVersionGet(void);

void
KLVersionStrCat(const KLVersion *version, KLArray *array);

#endif
